Skip to main content
PUT
/
api
/
model-providers
/
{provider}
Python
import requests

url = "https://app.langwatch.ai/api/model-providers/{provider}"

payload = { "enabled": True }
headers = {
    "X-Auth-Token": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};

fetch('https://app.langwatch.ai/api/model-providers/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request PUT \
--url https://app.langwatch.ai/api/model-providers/{provider} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"enabled": true
}
'
{}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Path Parameters

provider
string
required

Body

application/json
enabled
boolean
required
customKeys
object
customModels
customEmbeddingsModels
extraHeaders
object[]
defaultModel
string

Response

Success

{key}
object